Subject: Re: bdi2000 debugging

From: Matej Kupljen <[email-masked]>
Date: Wed, 16 Feb 2005 22:21:36 +0100

Hi

> The good news : I can explain you BDI2000 problem :)

Thank you for the explanation. 

> The bad news : AFAIK you can't fix it :(
> 
> There is a bug in the rev <= 1.2 of the silicon of MPC5200 : When there
> is another XLB Master active (like USB or any bestcomm activity), the XLB
> arbiter can get confused during debugging and you can resume nor
> can you access memory or do anything ... you can just reboot.

Hmm, this is not good. :(
How can I determine the silicon rev.?
I'll look it up in the docs.

> It's VERY frustrating since the BDI2000 is then kind of useless for debug
> in the cases when you need those activated ...

So I have to disable USB (can live without it for debugging), bestcomm
(hmm, how can I use console on serial port then?) and what else?

Thanks again for the explanation, I'd spent one more week on this.
Now I know I have to use a different approach :-(

BR,
Matej